﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace FlexGridLocalization
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            // select the culture (de, it, fr, tr are supported)
            var ci = new System.Globalization.CultureInfo("tr-TR"); // de-DE, etc

            // this controls the UI strings
            System.Threading.Thread.CurrentThread.CurrentUICulture = ci;

            // this controls number and date formatting (optional in this sample)
            //System.Threading.Thread.CurrentThread.CurrentCulture = ci;

            // initialize the component
            InitializeComponent();

            // show current culture
            _txtCI.Text = ci.Name;

            // give users a hint
            _flex[0, 0] = "Check the localized filter";
            _flex[1, 0] = "using the drop-downs on the";
            _flex[2, 0] = "column headers.";
        }
    }
}
