﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace GaugeSamples
{
    public partial class ClearStyle : UserControl
    {
        #region ** object model

        public Brush DEMO_Background 
        {
            get 
            {
                return RadialGauge.Background;
            }
            set 
            {
                RulerGauge.Background = value;
                LinearGauge.Background = value;
                LinearGauge2.Background = value;
                RadialGauge.Background = value;
                SpeedGauge.Background = value;
                VolumeGauge.Background = value;
                Knob1.Background = value;
            } 
        }

        public Brush DEMO_BorderBrush
        {
            get
            {
                return RadialGauge.BorderBrush;
            }
            set
            {
                RulerGauge.BorderBrush = value;
                LinearGauge.BorderBrush = value;
                LinearGauge2.BorderBrush = value;
                RadialGauge.BorderBrush = value;
                SpeedGauge.BorderBrush = value;
                VolumeGauge.BorderBrush = value;
                Knob1.BorderBrush = value;
            }
        }


        public Thickness DEMO_BorderThickness
        {
            get
            {
                return RadialGauge.BorderThickness;
            }
            set
            {
                RulerGauge.BorderThickness = value;
                LinearGauge.BorderThickness = value;
                LinearGauge2.BorderThickness = value;
                RadialGauge.BorderThickness = value;
                SpeedGauge.BorderThickness = value;
                VolumeGauge.BorderThickness = value;
                Knob1.BorderThickness = value;
            }
        }

        public Brush PointerFill
        {
            get
            {
                return RadialGauge.PointerFill;
            }
            set
            {
                RulerGauge.PointerFill = value;
                LinearGauge.PointerFill = value;
                LinearGauge2.PointerFill = value;
                RadialGauge.PointerFill = value;
                SpeedGauge.PointerFill = value;
                VolumeGauge.PointerFill = value;
                Knob1.PointerFill = value;
            }
        }


        public Brush PointerStroke
        {
            get
            {
                return RadialGauge.PointerStroke;
            }
            set
            {
                RulerGauge.PointerStroke = value;
                LinearGauge.PointerStroke = value;
                LinearGauge2.PointerStroke = value;
                RadialGauge.PointerStroke = value;
                SpeedGauge.PointerStroke = value;
                VolumeGauge.PointerStroke = value;
                Knob1.PointerStroke = value;
            }
        }

        public Brush PointerCapFill
        {
            get
            {
                return RadialGauge.PointerCapFill;
            }
            set
            {
                RadialGauge.PointerCapFill = value;
                SpeedGauge.PointerCapFill = value;
                VolumeGauge.PointerCapFill = value;
                Knob1.PointerCapFill = value;
            }
        }


        public Brush PointerCapStroke
        {
            get
            {
                return RadialGauge.PointerCapStroke;
            }
            set
            {
                RadialGauge.PointerCapStroke = value;
                SpeedGauge.PointerCapStroke = value;
                VolumeGauge.PointerCapStroke = value;
                Knob1.PointerCapStroke = value;
            }
        }


        #endregion

        public ClearStyle()
        {
            InitializeComponent();
        }
    }
}
