﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using C1.Silverlight;

namespace C1TreeViewTemplateSample
{
    /// <summary>
    /// Selects a style for the nodes that are ancestors of a C1.Silverlight assembly class
    /// so they start with the IsExpanded property set to True
    /// </summary>
    public class CustomStyleSelector : C1StyleSelector
    {
        public override Style SelectStyle(object item, DependencyObject container)
        {
            var group = ((C1TreeViewItem)container).Header as WorldCupGroup;

            if (group != null)
                return (Style)Resources["ExpandedStyle"];

            return null;
        }
    }
}
