﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace WizardSample.WizardPages
{
    public partial class SelectFolder : ContentPane 
    {
        public SelectFolder()
        {
            InitializeComponent();
            Title = "Destination Folder";
            Instructions = "Click Next to install to this folder, or click Change to install to a different folder.";

            _btnSelectFolder.Click += _btnSelectFolder_Click;
        }

        void _btnSelectFolder_Click(object sender, RoutedEventArgs e)
        {
            C1.Silverlight.C1MessageBox.Show(
                "This is where you would select the destination folder. But this is just a sample...",
                "Select Folder",
                C1.Silverlight.C1MessageBoxButton.OKCancel,
                C1.Silverlight.C1MessageBoxIcon.Information);
        }
    }
}
