﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

/// <summary>
/// Summary description for CountryLatLong
/// </summary>
public class CountryLatLong
{
    public string CountryName { get; set; }

    public double BoxWest { get; set; }
    public double BoxEast { get; set; }
    public double BoxNorth { get; set; }
    public double BoxSouth { get; set; }

    public double Latitude 
    { 
        get 
        {
            return BoxEast + (BoxWest - BoxEast) / 2;
        } 
    }
    public double Longitude 
    { 
        get 
        {
            return BoxSouth + (BoxNorth - BoxSouth) / 2;
        }
    }
}
