﻿using System.Reflection;
using C1.Silverlight;
using C1.Silverlight.DataGrid;
using System.Windows;

namespace C1DataGrid_Demo2010
{
    public class DataGridCustomNumericColumn : DataGridNumericColumn
    {
        public DataGridCustomNumericColumn()
            : base()
        {
        }

        public DataGridCustomNumericColumn(PropertyInfo property)
            : base(property)
        {
        }

        public override FrameworkElement GetCellEditingContent(DataGridRow row)
        {
            var numeric = (C1NumericBox)base.GetCellEditingContent(row);
            numeric.HandleUpDownKeys = false;
            return numeric;
        }
    }
}
