﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using C1.Silverlight.FlexGrid;

namespace C1.Silverlight.FlexGridExcel
{
    /// <summary>
    /// Like a regular column, but with an additional HeaderStyle property that
    /// allows for customization of the HeaderRow cells on this column.
    /// </summary>
    public class ExcelColumn : Column
    {
        /// <summary>
        /// Gets or sets the <see cref="CellStyle"/> used to display the cell in the
        /// <see cref="HeaderRow"/> for this column.
        /// </summary>
        public CellStyle HeaderRowStyle { get; set; }
    }
}
