﻿Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes
Imports C1.Silverlight.Schedule
Imports C1.C1Schedule

Namespace BusinessObjectsBinding
	Partial Public Class MainPage
		Inherits UserControl
		Public Sub New()
			InitializeComponent()

		End Sub

		Private Sub UserControl_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs)
			' update toolbar buttons state
			sched1_StyleChanged(Nothing, Nothing)
		End Sub

		Private Sub btnToday_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			sched1.VisibleDates.BeginUpdate()
			sched1.VisibleDates.Clear()
			sched1.VisibleDates.Add(Date.Today)
			sched1.VisibleDates.EndUpdate()
		End Sub

		Private Sub sched1_StyleChanged(ByVal sender As Object, ByVal e As RoutedEventArgs)
			' update toolbar buttons state according to the current C1Scheduler view
            If sched1.Style Is sched1.WorkingWeekStyle Then
                btnWorkWeek.IsChecked = True
            ElseIf sched1.Style Is sched1.WeekStyle Then
                btnWeek.IsChecked = True
            ElseIf sched1.Style Is sched1.MonthStyle Then
                btnMonth.IsChecked = True
            ElseIf sched1.Style Is sched1.OneDayStyle Then
                btnDay.IsChecked = True
            Else
                btnTimeLine.IsChecked = True
            End If
		End Sub

		Private Sub ButtonAdd_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			Dim list As AppointmentBOList = (CType(Me.Resources("_ds"), AppointmentsBO)).Appointments

			' add a new AppointmentBORow (that creates a new appointment in a C1Scheduler control)
			Dim newObject As New AppointmentBORow()
			newObject.Subject = "The test business object " & list.Count.ToString()
			list.Add(newObject)
		End Sub

		Private Sub ButtonClear_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			Dim list As AppointmentBOList = (CType(Me.Resources("_ds"), AppointmentsBO)).Appointments
			' clear the list of business objects (that clears all appointments from the C1Scheduler control)
			list.Clear()
		End Sub

	End Class
End Namespace
