﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using C1.Silverlight.Theming;

namespace MyCustomTheme
{
    public class MyCustomTheme
        : C1Theme
    {
        // C1Theme will create a new ResourceDictionary with:
        //
        //  * The default styles of all the C1 controls, taking into account 
        //    the overrides defined in Part_C1Overrides.xaml
        //    (C1Themes merges all the generics into one ResourceDictionary and
        //     then overrides it's resources with the ones defined in Part_C1Overrides.xaml)
        //
        //  * Append the resources located in Part_ExternalControls.xaml
        //    (usually a company of the Microsoft Silverlight Toolkit 
        //     ResourceDictionary counterpart)
        //
        public MyCustomTheme()
            : base(typeof(MyCustomTheme).Assembly, "MyCustomTheme.Base.Part_C1Overrides.xaml", "MyCustomTheme.Base.Part_ExternalControls.xaml")
        {}
    }
}
