﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace WizardSample.WizardPages
{
    public partial class EULA : ContentPane
    {
        public EULA()
        {
            InitializeComponent();
            Title = "License Agreement";
            Instructions = "Please read the following license agreement carefully.";
            _btnAccept.Checked += _btn_Checked;
            _btnRefuse.Checked += _btn_Checked;
            _btnPrint.Click += _btnPrint_Click;
        }

        void _btnPrint_Click(object sender, RoutedEventArgs e)
        {
            C1.Silverlight.C1MessageBox.Show(
                "This should print the EULA for review. But this is just a sample...",
                "Print EULA",
                C1.Silverlight.C1MessageBoxButton.OKCancel,
                C1.Silverlight.C1MessageBoxIcon.Information);
        }
        protected override void OnActivating()
        {
            ButtonNext.IsEnabled = _btnAccept.IsChecked.Value;
        }
        void _btn_Checked(object sender, RoutedEventArgs e)
        {
            ButtonNext.IsEnabled = _btnAccept.IsChecked.Value;
        }
    }
}
