﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace StockPortfolio
{
    public partial class MarketSummary : UserControl
    {
        private int _briefIndex = -1;
        public MarketSummary()
        {
            InitializeComponent();
        }

        private void btnRead_Click(object sender, RoutedEventArgs e)
        {
            _briefIndex = (_briefIndex + 1) % PortfolioSet.News.Count;
            string[] news = PortfolioSet.News[_briefIndex].Split('|');
            lblBriefTitle.Text = news[0];
            lblBriefText.Text = news[1];
        }
    }
}
